=== debian/changelog ===
redwood (0.1.4) stable; urgency=low

  * A trial to package RedWood WWW Filtering Proxy for Debian\Ubuntu.

 -- Eliezer Croitoru <eliezer@ngtech.co.il>  Tue, 17 May 2016 08:21:29 +0300
