=== debian/control ===
Source: redwood
Section: web
Priority: optional
Maintainer: Eliezer Croitoru <eliezer@ngtech.co.il>
Build-Depends: cdbs, debhelper (>=9), dpkg-dev (>= 1.16.1~), dh-systemd, autotools-dev
Standards-Version: 3.9.5
Homepage: http://www.ngtech.co.il/
#Vcs-Git: git://anonscm.debian.org/collab-maint/squid.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/squid.git;a=summary

Package: redwood
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, netbase
Description: RedWood HTTP filtering proxy.

#Package: squid-dbg
#Architecture: any
#Section: debug
#Priority: extra
#Depends: squid (= ${binary:Version}), ${misc:Depends}
#Description: Squid-Cache Proxy - Debug symbols.
